commit: bf1ea2bf29fbaa4af50d710f9c7743103c5d0afa
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 26 17:46:55 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 26 17:59:46 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf1ea2bf
dev-python/django-otp: Migrate to PEP517 build
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/django-otp/django-otp-1.1.3-r1.ebuild | 40 ++++++++++++++++++++++++
1 file changed, 40 insertions(+)
diff --git a/dev-python/django-otp/django-otp-1.1.3-r1.ebuild
b/dev-python/django-otp/django-otp-1.1.3-r1.ebuild
new file mode 100644
index 000000000000..a4cbc4ab7d4e
--- /dev/null
+++ b/dev-python/django-otp/django-otp-1.1.3-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django framework adding two-factor authentication using one-time
passwords"
+HOMEPAGE="https://github.com/django-otp/django-otp/"
+SRC_URI="
+ https://github.com/django-otp/django-otp/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/qrcode[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )
+"
+
+python_test() {
+ local -x PYTHONPATH=test:${PYTHONPATH}
+ local -x DJANGO_SETTINGS_MODULE=test_project.settings
+ django-admin test -v 2 django_otp || die "Tests fail with ${EPYTHON}"
+}